# Method: chains.search

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.SearchChainsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/chains/search#body.aspect)

Searches the chain based on chain name.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/chains:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `chainDisplayName` | `string` Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: "walmart", "wal-mart", "walmmmart", "沃尔玛" |
| `resultCount` | `integer` The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for Locations.SearchChains.

| JSON representation ||
|---|---|
| ``` { "chains": [ { object (`https://developers.google.com/my-business/reference/rest/v4/chains#Chain`) } ] } ``` |

| Fields ||
|---|---|
| `chains[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/chains#Chain`)`` Chains that match the queried chainDisplayName in SearchChainsRequest. If there are no matches, this field will be empty. Results are listed in order of relevance. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).